Перенос таблицы Log Analytics из поддержки API сборщика данных и настраиваемых полей для поддержки пользовательских журналов на основе правил сбора данных.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.OperationalInsights/workspaces/{workspaceName}/tables/{tableName}/migrate?api-version=2021-12-01-preview
Параметры URI
Name
In
Required
Type
Description
resourceGroupName
path
True
string
Имя группы ресурсов. Регистр букв в имени не учитывается.
POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-00000000000/resourcegroups/oiautorest6685/providers/Microsoft.OperationalInsights/workspaces/oiautorest6685/tables/table1_CL/migrate?api-version=2021-12-01-preview
import com.azure.core.util.Context;
/** Samples for Tables Migrate. */
public final class Main {
/*
* x-ms-original-file: specification/operationalinsights/resource-manager/Microsoft.OperationalInsights/preview/2021-12-01-preview/examples/TablesMigrate.json
*/
/**
* Sample code: TablesGet.
*
* @param manager Entry point to LogAnalyticsManager.
*/
public static void tablesGet(com.azure.resourcemanager.loganalytics.LogAnalyticsManager manager) {
manager.tables().migrateWithResponse("oiautorest6685", "oiautorest6685", "table1_CL", Context.NONE);
}
}
Read this SDK documentation on how to add the SDK to your project and authenticate.
package armoperationalinsights_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/operationalinsights/armoperationalinsights/v2"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/tree/main/specification/operationalinsights/resource-manager/Microsoft.OperationalInsights/preview/2021-12-01-preview/examples/TablesMigrate.json
func ExampleTablesClient_Migrate() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
client, err := armoperationalinsights.NewTablesClient("00000000-0000-0000-0000-00000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
_, err = client.Migrate(ctx,
"oiautorest6685",
"oiautorest6685",
"table1_CL",
nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
}
Read this SDK documentation on how to add the SDK to your project and authenticate.
const { OperationalInsightsManagementClient } = require("@azure/arm-operationalinsights");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Migrate a Log Analytics table from support of the Data Collector API and Custom Fields features to support of Data Collection Rule-based Custom Logs.
*
* @summary Migrate a Log Analytics table from support of the Data Collector API and Custom Fields features to support of Data Collection Rule-based Custom Logs.
* x-ms-original-file: specification/operationalinsights/resource-manager/Microsoft.OperationalInsights/preview/2021-12-01-preview/examples/TablesMigrate.json
*/
async function tablesGet() {
const subscriptionId = "00000000-0000-0000-0000-00000000000";
const resourceGroupName = "oiautorest6685";
const workspaceName = "oiautorest6685";
const tableName = "table1_CL";
const credential = new DefaultAzureCredential();
const client = new OperationalInsightsManagementClient(credential, subscriptionId);
const result = await client.tables.migrate(resourceGroupName, workspaceName, tableName);
console.log(result);
}
tablesGet().catch(console.error);
Read this SDK documentation on how to add the SDK to your project and authenticate.